| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Functions | Variables
MiniBrunelScenario Namespace Reference

## Functions
def | load_scenario ()

## Variables
int | NUMBEROFEVENTS = 828
int | NUMBEROFEVENTSINFLIGHT = 1
int | NUMBEROFALGOSINFLIGHT = 100
int | NUMBEROFTHREADS = 1
| CLONEALGOS = False
| DUMPQUEUES = False
int | VERBOSITY = 3
| NumberOfEvents = NUMBEROFEVENTS
| NumberOfEventsInFlight = NUMBEROFEVENTSINFLIGHT
| NumberOfAlgosInFlight = NUMBEROFALGOSINFLIGHT
| NumberOfThreads = NUMBEROFTHREADS
| CloneAlgos = CLONEALGOS
| DumpQueues = DUMPQUEUES
| Verbosity = VERBOSITY
dictionary | miniBruneljson
tuple | msgSvc = InertMessageSvc("MessageSvc",OutputLevel=INFO)
| OutputLevel = INFO)
tuple | crunchers = load_scenario()
tuple | whiteboard = HiveWhiteBoard("EventDataSvc", EventSlots = NumberOfEventsInFlight)
tuple | slimeventloopmgr = HiveSlimEventLoopMgr(OutputLevel = INFO)
tuple | scheduler
tuple | app = ApplicationMgr()

## Function Documentation

def MiniBrunelScenario.load_scenario | ( |  | ) |

Definition at line 146 of file MiniBrunelScenario.py.

146 def load_scenario():
147 workflow = miniBruneljson
148 cpu_cruncher_algos = []
149 for algo in workflow["algorithms"]:
150 theAvgRuntime=float(algo["runtimes_wall"][0]/1000.)
151 new_algo = CPUCruncher("%s@%s" %(algo["name"],algo["type"]),
152 avgRuntime=theAvgRuntime,
153 varRuntime=theAvgRuntime*0.01,
154 DataInputs = algo["inputs"],
155 DataOutputs = algo["outputs"],
156 OutputLevel=INFO
157 )
158 cpu_cruncher_algos.append(new_algo)
159 return cpu_cruncher_algos
160
161 # Set output level threshold 2=DEBUG, 3=INFO, 4=WARNING, 5=ERROR, 6=FATAL )
162
MiniBrunelScenario.load_scenario
def load_scenario()
Definition: MiniBrunelScenario.py:146
CPUCruncher
Definition: CPUCruncher.py:1

## Variable Documentation

tuple MiniBrunelScenario.app = ApplicationMgr()

Definition at line 179 of file MiniBrunelScenario.py.

MiniBrunelScenario.CLONEALGOS = False

Definition at line 27 of file MiniBrunelScenario.py.

MiniBrunelScenario.CloneAlgos = CLONEALGOS

Definition at line 36 of file MiniBrunelScenario.py.

tuple MiniBrunelScenario.crunchers = load_scenario()

Definition at line 168 of file MiniBrunelScenario.py.

MiniBrunelScenario.DUMPQUEUES = False

Definition at line 28 of file MiniBrunelScenario.py.

MiniBrunelScenario.DumpQueues = DUMPQUEUES

Definition at line 37 of file MiniBrunelScenario.py.

dictionary MiniBrunelScenario.miniBruneljson

Definition at line 41 of file MiniBrunelScenario.py.

tuple MiniBrunelScenario.msgSvc = InertMessageSvc("MessageSvc",OutputLevel=INFO)

Definition at line 163 of file MiniBrunelScenario.py.

int MiniBrunelScenario.NUMBEROFALGOSINFLIGHT = 100

Definition at line 25 of file MiniBrunelScenario.py.

MiniBrunelScenario.NumberOfAlgosInFlight = NUMBEROFALGOSINFLIGHT

Definition at line 34 of file MiniBrunelScenario.py.

int MiniBrunelScenario.NUMBEROFEVENTS = 828

Definition at line 23 of file MiniBrunelScenario.py.

MiniBrunelScenario.NumberOfEvents = NUMBEROFEVENTS

Definition at line 32 of file MiniBrunelScenario.py.

int MiniBrunelScenario.NUMBEROFEVENTSINFLIGHT = 1

Definition at line 24 of file MiniBrunelScenario.py.

MiniBrunelScenario.NumberOfEventsInFlight = NUMBEROFEVENTSINFLIGHT

Definition at line 33 of file MiniBrunelScenario.py.

int MiniBrunelScenario.NUMBEROFTHREADS = 1

Definition at line 26 of file MiniBrunelScenario.py.

MiniBrunelScenario.NumberOfThreads = NUMBEROFTHREADS

Definition at line 35 of file MiniBrunelScenario.py.

MiniBrunelScenario.OutputLevel = INFO)

Definition at line 166 of file MiniBrunelScenario.py.

tuple MiniBrunelScenario.scheduler

Initial value:
1 = ForwardSchedulerSvc(MaxEventsInFlight = NumberOfEventsInFlight,
2 MaxAlgosInFlight = 100,
3 OutputLevel = WARNING)

Definition at line 174 of file MiniBrunelScenario.py.

tuple MiniBrunelScenario.slimeventloopmgr = HiveSlimEventLoopMgr(OutputLevel = INFO)

Definition at line 172 of file MiniBrunelScenario.py.

int MiniBrunelScenario.VERBOSITY = 3

Definition at line 29 of file MiniBrunelScenario.py.

MiniBrunelScenario.Verbosity = VERBOSITY

Definition at line 38 of file MiniBrunelScenario.py.

tuple MiniBrunelScenario.whiteboard = HiveWhiteBoard("EventDataSvc", EventSlots = NumberOfEventsInFlight)

Definition at line 170 of file MiniBrunelScenario.py.